local modname = minetest.get_current_modname()
local S = minetest.get_translator(modname)

minetest.register_node(modname .. ":pebble",
	{
		description = S("Pebble"),
		drawtype = "nodebox",
		tiles = {"eg_pebbles_stone.png"},
		paramtype = "light",
		floodable = true,
		node_box =
		{
			type = "fixed",
			fixed = {-0.0625, -0.5, -0.125, 0.125, -0.375, 0.125}
		},
		groups = {dig_immediate = 3, attached_node = 1},
		tool_capabilities =
		{
			full_punch_interval = 1.5,
			--max_drop_level = 1,
			groupcaps =
			{
				cracky = {maxlevel = 2, times = {[1] = 15, [2] = 10, [3] = 6}},
				choppy = {maxlevel = 2, times = {5, 4.5, 3}},
			}
		},
		sounds =
		{
			footstep = {name = "stone_footstep", gain = 0.3},
			dig = {name = "stone_dig", gain = 0.5},
			dug = {name = "stone_footstep", gain = 1.0},
			place = {name = "stone_place", gain = 1.0},
		},
	})

if minetest.get_modpath("eg_mapgen")
then
	minetest.register_decoration(
		{
			deco_type = "simple",
			sidelen = 8,
			place_on = {"eg_mapgen:grass", "eg_mapgen:stone", "eg_mapgen:sand"},
			fill_ratio = 0.05,
			spawn_by = "eg_mapgen:stone",
			num_spawn_by = 2,
			flags = "all_floors",
			decoration = modname .. ":pebble",
		})
end
